package com.gic.haoban.manage.api.enums.content;

/**
 * @Author MUSI
 * @Date 2023/3/18 8:26 PM
 * @Description
 * @Version
 * 导购分享素材类型枚举
 **/
public enum ShareBizType {

    MATERIAL(1, "素材"),
    GOODS(2, "商品");
    ShareBizType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    private Integer code;
    private String desc;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescWithCode(Integer code) {
        for (ShareBizType value : values()) {
            if (value.code.equals(code)) {
                return value.desc;
            }
        }
        return "";
    }
}
